Name:     inih
Version:  36
Release:  3%{?dist}
Summary:  Simple INI file parser library

License:  BSD
URL:      https://github.com/benhoyt/inih
Source0:  https://github.com/benhoyt/inih/archive/r%{version}/%{name}-r%{version}.tar.gz

BuildRequires: gcc


%description
The inih package provides simple INI file parser which is only a couple of
pages of code, and it was designed to be small and simple, so it's good for
embedded systems.


%package devel
Summary:  Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
This package contains development files for %{name}.

The inih package provides simple INI file parser which is only a couple of
pages of code, and it was designed to be small and simple, so it's good for
embedded systems.


%prep
%setup -q -n %{name}-r%{version}


%build
gcc -c -fPIC %{optflags} ini.c
gcc -shared %{?__global_ldflags} -o libinih.so.0.%{version} -Wl,-soname,libinih.so.0 ini.o


%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -p -m 644 ini.h %{buildroot}%{_includedir}/ini.h
install -p -m 755 libinih.so* %{buildroot}%{_libdir}
ln -s libinih.so.0.%{version} %{buildroot}%{_libdir}/libinih.so.0
ln -s libinih.so.0.%{version} %{buildroot}%{_libdir}/libinih.so


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README.md LICENSE.txt
%{_libdir}/libinih.so.0.%{version}
%{_libdir}/libinih.so.0


%files devel
%{_includedir}/ini.h
%{_libdir}/libinih.so


%changelog
* Tue Aug 30 2016 Jan F. Chadima <jfch@jagda.eu> - 36-3
- implement another review results

* Tue Aug 30 2016 Jan F. Chadima <jfch@jagda.eu> - 36-2
- implement review results

* Mon Aug 29 2016 Jan F. Chadima <jfch@jagda.eu> - 36-1
- initial version
